<?php

$this->addCSS('templates/default/widgets/wdstat/styles.css');

if ($data['css']) $this->addCSS($data['css']);

$this->addJS('templates/default/widgets/wdstat/fitty.min.js');

if ($data['parallax']) $this->addJS('templates/default/widgets/wdstat/simpleParallax.min.js');

?>

<div id="wdstat_<?php echo $data['id']; ?>" class="wdstat<?php echo $data['bg_class']; ?>">

    <?php if ($data['overlay'] == 1) { ?><div class="wdstat_overlay"<?php echo $data['bg_overlay']; ?>></div><?php } ?>

    <div class="wdstat_content">

        <?php echo $data['title']; ?>
        <?php echo $data['desc']; ?>

        <?php if ($data['ctypes']) { ?>

            <div class="wdstat_objects">

                <?php foreach ($data['ctypes'] as $ctype) { ?>

                    <<?php if ($ctype['in_list']) { ?>a href="<?php echo href_to($ctype['name']); ?>"<?php } else { ?>span<?php } ?> class="wdstat_item"<?php echo $ctype['styles']; ?>>

                        <div class="wdstat_count"><?php echo $ctype['count']; ?></div>

                        <div class="wdstat_ctype<?php echo !$ctype['desc'] ? ' wdstat_notdesc' : ''; ?>">

                            <?php echo '<'.$data['bth'].$ctype['tstyles'].(!$ctype['desc'] ? ' class="wdstat_notdesc"' : '').'>'.$ctype['title'].'</'.$data['bth'].'>'; ?>

                            <?php if ($ctype['desc']) echo $ctype['desc']; ?>

                        </div>

                    </<?php if ($ctype['in_list']) { ?>a<?php } else { ?>span<?php } ?>>

                    <?php $this->addBottom('<script>fitty(".wdstat_number_'.$data['id'].'_'.$ctype['name'].'", {minSize: 12, maxSize: 60});</script>'); ?>

                <?php } ?>

            </div>

        <?php } ?>

    </div>

    <?php echo $data['parallax']; ?>

</div>